io.undertow.server.handlers.proxy.mod_cluster

## Class ModCluster.Builder

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.ModCluster.Builder

Enclosing class:
  ModCluster

    public static class ModCluster.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`ModCluster` `build()`
`ModCluster.Builder` `setCacheConnections(int cacheConnections)`
`ModCluster.Builder` `setClientOptions(org.xnio.OptionMap clientOptions)`
`ModCluster.Builder` `setDeterministicFailover(boolean deterministicFailover)`
`ModCluster.Builder` `setHealthChecker(NodeHealthChecker healthChecker)`
`ModCluster.Builder` `setHealthCheckInterval(long healthCheckInterval)`
`ModCluster.Builder` `setMaxConnections(int maxConnections)`
`ModCluster.Builder` `setMaxRequestTime(int maxRequestTime)`
`ModCluster.Builder` `setMaxRetries(int maxRetries)`
`ModCluster.Builder` `setQueueNewRequests(boolean queueNewRequests)`
`ModCluster.Builder` `setRankedAffinityDelimiter(String rankedAffinityDelimiter)` Configures ranked affinity delimiter used for splitting multiple encoded routes when `RouteParsingStrategy.RANKED` is specified.
`ModCluster.Builder` `setRemoveBrokenNodes(long removeBrokenNodes)`
`ModCluster.Builder` `setRequestQueueSize(int requestQueueSize)`
`ModCluster.Builder` `setReuseXForwarded(boolean reuseXForwarded)`
`ModCluster.Builder` `setRouteParsingStrategy(RouteParsingStrategy routeParsingStrategy)` Configures route parsing strategy to support none, single or ranked affinity.
`ModCluster.Builder` `setTtl(long ttl)`
`ModCluster.Builder` `setUseAlias(boolean useAlias)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    public ModCluster build()

#### setMaxRequestTime

    public ModCluster.Builder setMaxRequestTime(int maxRequestTime)

#### setHealthCheckInterval

    public ModCluster.Builder setHealthCheckInterval(long healthCheckInterval)

#### setRemoveBrokenNodes

    public ModCluster.Builder setRemoveBrokenNodes(long removeBrokenNodes)

#### setMaxConnections

    public ModCluster.Builder setMaxConnections(int maxConnections)

#### setCacheConnections

    public ModCluster.Builder setCacheConnections(int cacheConnections)

#### setRequestQueueSize

    public ModCluster.Builder setRequestQueueSize(int requestQueueSize)

#### setQueueNewRequests

    public ModCluster.Builder setQueueNewRequests(boolean queueNewRequests)

#### setHealthChecker

    public ModCluster.Builder setHealthChecker(NodeHealthChecker healthChecker)

#### setUseAlias

    public ModCluster.Builder setUseAlias(boolean useAlias)

#### setMaxRetries

    public ModCluster.Builder setMaxRetries(int maxRetries)

#### setDeterministicFailover

    public ModCluster.Builder setDeterministicFailover(boolean deterministicFailover)

#### setRouteParsingStrategy

    public ModCluster.Builder setRouteParsingStrategy(RouteParsingStrategy routeParsingStrategy)

Configures route parsing strategy to support none, single or ranked affinity.

Parameters:
  `routeParsingStrategy` - strategy to use for parsing routes
Returns:
  this builder

#### setRankedAffinityDelimiter

    public ModCluster.Builder setRankedAffinityDelimiter(String rankedAffinityDelimiter)

Configures ranked affinity delimiter used for splitting multiple encoded routes when `RouteParsingStrategy.RANKED` is specified. Web requests will have an affinity for the first available node in the list.

Parameters:
  `rankedAffinityDelimiter` - delimiter splitting multiple routes; typically a "."
Returns:
  this builder

#### setTtl

    public ModCluster.Builder setTtl(long ttl)

#### setClientOptions

    public ModCluster.Builder setClientOptions(org.xnio.OptionMap clientOptions)

#### setReuseXForwarded

    public ModCluster.Builder setReuseXForwarded(boolean reuseXForwarded)